package com.example.beijing_daxing.been;


/**
 * 处罚记录对象 pm_record_penalty
 *
 * @author ruoyi
 * @date 2025-11-27
 */
public class PmRecordPenalty {

    /**
     * 处罚记录主键
     */
    private Long recordPenaltyId;

    /**
     * 处罚类型
     */

    private String penaltyType;

    /**
     * 类型编码
     */

    private String penaltyTypeCode;

    /**
     * 处罚说明
     */

    private String penaltyInfo;

    /**
     * 处罚金额
     */

    private Double penaltyAmount;

    /**
     * 处罚人员
     */

    private Long basePersonId;

    /**
     * 处理状态
     */

    private String processState;

    private String createBy;
    private String createTime;

    private String checkState;
    private String epc;

    public String getCreateTime() {
        return createTime;
    }

    public String getEpc() {
        return epc;
    }

    public void setEpc(String epc) {
        this.epc = epc;
    }

    public String getCheckState() {
        return checkState;
    }

    public void setCheckState(String checkState) {
        this.checkState = checkState;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Long getRecordPenaltyId() {
        return recordPenaltyId;
    }

    public void setRecordPenaltyId(Long recordPenaltyId) {
        this.recordPenaltyId = recordPenaltyId;
    }

    public String getPenaltyType() {
        return penaltyType;
    }

    public void setPenaltyType(String penaltyType) {
        this.penaltyType = penaltyType;
    }

    public String getPenaltyTypeCode() {
        return penaltyTypeCode;
    }

    public void setPenaltyTypeCode(String penaltyTypeCode) {
        this.penaltyTypeCode = penaltyTypeCode;
    }

    public String getPenaltyInfo() {
        return penaltyInfo;
    }

    public void setPenaltyInfo(String penaltyInfo) {
        this.penaltyInfo = penaltyInfo;
    }

    public Double getPenaltyAmount() {
        return penaltyAmount;
    }

    public void setPenaltyAmount(Double penaltyAmount) {
        this.penaltyAmount = penaltyAmount;
    }

    public Long getBasePersonId() {
        return basePersonId;
    }

    public void setBasePersonId(Long basePersonId) {
        this.basePersonId = basePersonId;
    }

    public String getProcessState() {
        return processState;
    }

    public void setProcessState(String processState) {
        this.processState = processState;
    }


}
